[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TListItems.Destroy

Destructor for the class instance.

## Declaration

Source position: comctrls.pp line 1171

`public destructor TListItems.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. It frees each of the TListItem instances in the internal storage for the container and removes the cache entries for the items. Resource allocated to the internal list are freed as well. Destroy calls the inherited destructor prior to exiting from the method.

## See also

TPersistent.Destroy